Main Page Widgets Namespaces Book

# Gdk::Region Class Reference

List of all members.

## Public Methods

| Region ()
| Region (GdkRegion* castitem, bool make_a_copy=false)
| Region (const Region& src)
Region& | operator= (const Region& src)
| ~Region ()
GdkRegion* | gobj ()
const GdkRegion* | gobj () const
GdkRegion* | gobj_copy () const
| Region (const Glib::ArrayHandle<Gdk::Point>& points, FillRule fill_rule)
| Region (const Rectangle& rectangle)
void | get_clipbox (const Rectangle& rectangle)
Glib::ArrayHandle<Rectangle> | get_rectangles () const
bool | empty ()
bool | point_in (int x, int y)
OverlapType | rect_in (const Rectangle& rect)
void | offset (int dx, int dy)
void | shrink (int dx, int dy)
void | union_with_rect (const Rectangle& rect)
void | intersect (Region& source2)
| Converts source1 into the intersection between source1 and source2.
void | union_ (Region& source2)
void | subtract (Region& source2)
| Subtracts any area in source2 from the area in source1.
void | xor_ (Region& source2)
| XORs the two regions, placing the result in source1.
void | spans_intersect_foreach (GdkSpan* spans, int n_spans, bool sorted, GdkSpanFunc function, gpointer data)

## Protected Attributes

GdkRegion* | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator== (const Region& lhs, const Region& rhs)
bool | operator!= (const Region& lhs, const Region& rhs)
Gdk::Region | wrap (GdkRegion* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gdk::Region::Region | ( |  | ) |

Gdk::Region::Region | ( | GdkRegion* | castitem,
|  | bool | make_a_copy = false
| ) | `[explicit]`

Gdk::Region::Region | ( | const Region& | src | ) |

Gdk::Region::~Region | ( |  | ) |

Gdk::Region::Region | ( | const Glib::ArrayHandle<Gdk::Point>& | points,
|  | FillRule | fill_rule
| ) |

Gdk::Region::Region | ( | const Rectangle& | rectangle | ) |

## Member Function Documentation

bool Gdk::Region::empty | ( |  | ) |

void Gdk::Region::get_clipbox | ( | const Rectangle& | rectangle | ) |

Glib::ArrayHandle<Rectangle> Gdk::Region::get_rectangles | ( |  | ) |

const GdkRegion* Gdk::Region::gobj | ( |  | ) | const`[inline]`

GdkRegion* Gdk::Region::gobj | ( |  | ) | `[inline]`

GdkRegion* Gdk::Region::gobj_copy | ( |  | ) |

void Gdk::Region::intersect | ( | Region& | source2 | ) |

Converts source1 into the intersection between source1 and source2.

That is, after calling this function source2 will be unchanged and source1 will be the areas the two regions have in common.

Parameters:

  source2 | Another Gdk::Region.

void Gdk::Region::offset | ( | int | dx,
|  | int | dy
| ) |

Region& Gdk::Region::operator= | ( | const Region& | src | ) |

bool Gdk::Region::point_in | ( | int | x,
|  | int | y
| ) |

OverlapType Gdk::Region::rect_in | ( | const Rectangle& | rect | ) |

void Gdk::Region::shrink | ( | int | dx,
|  | int | dy
| ) |

void Gdk::Region::spans_intersect_foreach | ( | GdkSpan* | spans,
|  | int | n_spans,
|  | bool | sorted,
|  | GdkSpanFunc | function,
|  | gpointer | data
| ) |

void Gdk::Region::subtract | ( | Region& | source2 | ) |

Subtracts any area in source2 from the area in source1.

Parameters:

  source2 | Another Gdk::Region.

void Gdk::Region::union_ | ( | Region& | source2 | ) |

void Gdk::Region::union_with_rect | ( | const Rectangle& | rect | ) |

void Gdk::Region::xor_ | ( | Region& | source2 | ) |

XORs the two regions, placing the result in source1.

The XOR of two regions contains all areas which were not overlapping. That is, it's the union of the regions minus the intersection of the regions.

Parameters:

  source2 | Another Gdk::Region.

## Friends And Related Function Documentation

bool operator!= | ( | const Region& | lhs,
|  | const Region& | rhs
| ) | `[related]`

bool operator== | ( | const Region& | lhs,
|  | const Region& | rhs
| ) | `[related]`

Gdk::Region wrap | ( | GdkRegion* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

GdkRegion* Gdk::Region::gobject_`[protected]`

The documentation for this class was generated from the following file:

- region.h